CK_HS_GROW(3)

NAME
ck_hs_grow - enlarge hash set capacity

LIBRARY
Concurrency Kit (libck, -lck)

SYNOPSIS
#include <ck_hs.h>
bool
ck_hs_grow(ck_hs_t *hs, unsigned long capacity);

DESCRIPTION
The ck_hs_grow(3) function will resize the hash set in order to be able to store at least the number of entries specified by capacity at a load factor of one. The default hash set load factor is 0.5. If you wish to minimize the likelihood of memory allocations for a hash set meant to store n entries, then specify a capacity of 2n. The default behavior of ck_hs is to round capacity to the next power of two if it is not already a power of two.

RETURN VALUES
Upon successful completion, ck_hs_grow(3) returns true and otherwise returns false on failure.

ERRORS
Behavior is undefined if hs is uninitialized. This function will only return false if there are internal memory allocation failures.

SEE ALSO
ck_hs_init(3), ck_hs_move(3), ck_hs_destroy(3), CK_HS_HASH(3), ck_hs_iterator_init(3), ck_hs_next(3), ck_hs_get(3), ck_hs_put(3), ck_hs_put_unique(3), ck_hs_set(3), ck_hs_fas(3), ck_hs_remove(3), ck_hs_rebuild(3), ck_hs_gc(3), ck_hs_count(3), ck_hs_reset(3), ck_hs_reset_size(3), ck_hs_stat(3)

Additional information available at http://concurrencykit.org/